
;------- ROM and RAM Symbols -------
RAM_SEED .equ $4032
RAM_CH_ADD .equ $4016
RAM_DEST .equ $4012
RAM_SPARE1 .equ $4021
ERROR_3 .equ $0058
RAM_DF_CC .equ $400E
RAM_SPARE2 .equ $407B
RAM_D_FILE .equ $400C
RAM_VARS .equ $4010

RAM_SPARE3 .equ $403E


EXTERR .equ $005B ; Basic Break function ! Ignore line instructions.
CURSEUR .equ $8F5 ; Point to PRINT AT DEST.(BC=X,Y)
CHAINE .equ $B6B ; PRINT A CHAINE (BC=LEN;DE=TEXT LOC)
D_FILE .equ $400C ; D_FILE.

.ORG $4082 ; [@16514/@h4082]

.db $00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00
.db $00,$00,$00,$00,$00,$00,$00
.db $76,$76

	LD BC,(RAM_SEED) ; GET SEED
	LD HL,(RAM_CH_ADD) ; GET CH-ADD
	LD DE,(RAM_DEST) ; GET DEST
	DEC DE 
	INC HL 
	INC HL 
	LD A,(HL) 
	SUB $9C 
	LD (RAM_SPARE1),A ; SET UNUSED-8
	DEC HL 

Lb40AE:
	INC HL 
	LD A,(HL) 
	CP $76 ; [118]
	JR Z, Lb40CA ; [$40CA:16586]
	BIT 7,A 
	JR Z, Lb40AE ; [$40AE:16558]
	DEC BC 
	LD A,B 
	OR C 
	JR NZ, Lb40AE ; [$40AE:16558]

Lb40BD:
	INC HL 
	INC DE 
	LD A,(HL) 
	BIT 7,A 
	JR NZ, Lb40C7 ; [$40C7:16583]
	LD (DE),A 
	JR Lb40BD ; [$40BD:16573]
Lb40C7:
	RES 7,A 
	LD (DE),A 
Lb40CA:
	EX DE,HL 
	LD A,(RAM_SPARE1) ; GET UNUSED-8
	CP $00 ; [0]
	JR Z, Lb40E1 ; [$40E1:16609]
	CP $01 ; [1]
	JR NZ, Lb40DE ; [$40DE:16606]
        
	INC HL 
	LD (HL),$1C 
	JR Lb40E1

Lb40DE:
	INC HL 
	LD (HL),$1B 
Lb40E1:
	LD (RAM_SPARE1),A ; SET UNUSED-8

	CALL $005B ; []*BIOS ROM*


	RET ; ==========================
	RET ; ==========================


; SCAN SI SALLE VALIDE
; RAM_SPARE1=0 >> invalide


	LD HL,(RAM_DEST) ; RAM_DEST
	
SCAN1:
	LD A,(HL)
	SUB $1C
	CP (IY+62); 16446 (dir)
	INC HL
	JR Z,SCAN2
	
	CP $00
	JR Z,EXT2

	INC HL
	INC HL
	JR SCAN1

SCAN2:
	LD DE,0	
        LD A,(HL)
	SUB $1C
	JR Z,LOOP1
	LD BC,10


	EX DE,HL
LOOP10:
	ADD HL,BC
	DEC A
	JR NZ,LOOP10
       	
	EX DE,HL

LOOP1:
	INC HL
        LD A,(HL)
	SUB $1C
	LD C,A
	EX DE,HL
	ADD HL,BC
	LD A,L
	JR Lb40E1 ; [$40E1:16609]

EXT2:
	XOR A 
	JR Lb40E1 ; [$40E1:16609]

	RET ; ==========================
	RET ; ==========================

; AFFICHE MESSAGE "RAND NN"

Lb40E6: ; <91668>
	LD HL,(RAM_CH_ADD) ; GET CH-ADD
	LD BC,(RAM_SEED) ; GET SEED
Lb40ED:
	INC HL 
	LD A,(HL) 
	CP $76 ; [118]
	JP Z,  ERROR_3+3 ; []*BIOS ROM*
	BIT 7,A 
	JR Z, Lb40ED ; [$40ED:16621]
	DEC BC 
	LD A,B 
	OR C 
	JR NZ, Lb40ED ; [$40ED:16621]
Lb40FD:
	INC HL 
	LD A,(HL) 
	BIT 7,A 
	JR NZ, Lb4110 ; [$4110:16656]
	CP $0C ; [12-""]
	JR Z, Lb4115 ; [$4115:16661]
	CP $01 ; [1]
	JR NZ, Lb410D ; [$410D:16653]
	LD A,$0B 
Lb410D:
	RST 10H ; Display= A reg.
	JR Lb40FD ; [$40FD:16637]
Lb4110:
	RES 7,A 
	RST 10H ; Display= A reg.
	JR Lb4124 ; [$4124:16676]
Lb4115:
	LD DE,(RAM_DF_CC) ; GET DF-CC
Lb4119:
	LD A,(DE) 
	CP $76 ; [118]
	JR Z, Lb40FD ; [$40FD:16637]
	LD A,$00 
	RST 10H ; Display= A reg.
	INC DE 
	JR Lb4119 ; [$4119:16665]
Lb4124:
	CALL ERROR_3+3 ; []*BIOS ROM*


	RET ; ==========================
	RET ; ==========================
; TEXT VACABULAIRE 6 CARACTERES "nnABCD"
; DEST="00    " si invalide
; COPIE LA COMMANDE SI VALIDE

Lb4129: ; <91777>
	LD HL,(RAM_DEST) ; GET DEST
	LD DE,$4040 
	LD BC,$0004 
	LDIR 
	LD HL,(RAM_CH_ADD) ; GET CH-ADD
	INC HL 

Lb4138:
	XOR A 
	LD (IY+33),A 
	INC HL 
	LD A,(HL) 
	BIT 7,A 
	JR NZ, Lb4179 ; [$4179:16761]
	INC HL 
	INC HL 
	XOR A 
	LD A,(HL) 
	CP (IY+64) 
	JR NZ, Lb414E ; [$414E:16718]
	INC (IY+33) 
Lb414E:
	INC HL 
	XOR A 
	LD A,(HL) 
	CP (IY+65) 
	JR NZ, Lb4159 ; [$4159:16729]
	INC (IY+33) 
Lb4159:
	INC HL 
	XOR A 
	LD A,(HL) 
	CP (IY+66) 
	JR NZ, Lb4164 ; [$4164:16740]
	INC (IY+33) 
Lb4164:
	INC HL 
	XOR A 
	LD A,(HL) 
	CP (IY+67) 
	JR NZ, Lb4138 ; [$4138:16696]
	INC (IY+33) 
	XOR A 
	LD A,(RAM_SPARE1) ; GET UNUSED-8
	CP $04 ; [4]
	JR Z, Lb4179 ; [$4179:16761]
	JR Lb4138 ; [$4138:16696]
Lb4179:
	LD BC,$0005 
	SBC HL,BC 
	LD DE,(RAM_DEST) ; GET DEST
	LD BC,$0006 
	LDIR 
	CALL ERROR_3+3 ; []*BIOS ROM*

	RET ; ==========================
	RET ; ==========================

	; AFFICHAGE BLOC "YX5xxxx" 

	LD HL,(RAM_CH_ADD) ; GET CH-ADD
	INC HL 
	INC HL
	LD B,(HL)
	INC HL
	LD C,(HL)
	PUSH HL
	CALL CURSEUR
	POP HL
 	INC HL
	JR GETBLOC

; AFFICHAGE BLOC "5xxxx" 

Lb418C: ; <92032>
	LD HL,(RAM_CH_ADD) ; GET CH-ADD
	INC HL 
	INC HL 
GETBLOC:
	LD A,(HL) 
	SUB $1C 
	LD (RAM_SPARE1),A ; SET UNUSED-8
	LD DE,(RAM_DF_CC) ; GET DF-CC
	LD C,A 
	LD A,$21 
	SUB C 
	LD C,A 
	LD B,$00 
	LD (RAM_SPARE2),BC ; SET UNUSED-16
	INC HL 
Lb41A7:
	LD A,(HL) 
	CP $0B ; [11-"""]
	JR Z, Lb41BB ; [$41BB:16827]

	LD A,(RAM_SPARE1) ; GET UNUSED-8
	LD C,A 
	LDIR 
	PUSH HL 
	LD HL,(RAM_SPARE2) ; GET UNUSED-16
	ADD HL,DE 
	EX DE,HL 
	POP HL 
	JR Lb41A7 ; [$41A7:16807]
Lb41BB:
	CALL ERROR_3+3 ; []*BIOS ROM*

	RET ; ==========================
	RET ; ==========================

;INVERSION VIDEO

Lb41C0: ; <92210>
	LD HL,(RAM_D_FILE) ; GET D-FILE
	LD DE,(RAM_VARS) ; GET VARS
Lb41C7:
	LD B,H 
	LD C,L 
	AND A 
	SBC HL,DE 
	RET Z 
	LD H,B 
	LD L,C 
	LD A,(HL) 
	CP $76 ; [118]
	JR Z, Lb41D7 ; [$41D7:16855]
	ADD A,$80 
Lb41D6:
	LD (HL),A 
Lb41D7:
	INC HL 
Lb41D8:
	JR Lb41C7 ; [$41C7:16839]

	RET ; ==========================
	RET ; ==========================

	LD HL,(RAM_DF_CC) ; GET DF-CC

	LD B,231
	LD C,0
CLSB:
	LD A,(HL)
	CP $76
	JR Z,CLSB2
	LD (HL),C
CLSB2:
	INC HL
	DJNZ CLSB

	RET ; ==========================
	RET ; ==========================

; GET ALL ROOM STAT

	LD DE,(RAM_DEST) ; GET DEST
	LD HL,(RAM_CH_ADD) ; GET CH-ADD
	DEC DE
	INC HL 

NXTCUR: 
	INC DE
	INC HL
	LD A,(HL)
	CP $0B ; "
	JR Z,ENDMAP
	RES 7,A
	LD B,A
	INC HL
	LD C,(HL)
	RES 7,C
	PUSH HL
	PUSH DE
	CALL CURSEUR
	POP DE
	EX DE,HL
	LD A,(HL)
	CP $1D
	EX DE,HL
	POP HL

	JR Z,NXTCUR
	LD A,$0F;"?"
	RST 10H
	JR NXTCUR
ENDMAP:
	LD BC,$0

	RET ; ==========================
	RET ; ==========================

; DEC ALL COUNTERS

	LD HL,(RAM_DEST) ; GET DEST
	DEC HL
	LD BC,$0A00

NEXTCHAR:
	INC HL
	LD A,(HL)
	SUB 2
	JR C,NEXTCHAR2
	INC A
	LD (HL),A
NEXTCHAR2:
	DJNZ NEXTCHAR
	CALL ERROR_3+3 ; []*BIOS ROM*

	RET ; ==========================
	RET ; ==========================
	LD HL,(RAM_DEST) ; GET DEST
	LD (RAM_SPARE2),HL
	LD A,(HL)
	LD B,0
	LD C,A
	RET

;GET GOTO

	LD HL,(RAM_SPARE2) ; GET DEST

	LD A,(HL)
	CP 27
	JR Z,EXTDOT
	SUB 37
	LD HL,0
	LD BC,5
NEXTVAL:
	ADD HL,BC
	DEC A
	JR NZ,NEXTVAL

	LD BC,2895
	ADD HL,BC
	LD B,H
	LD C,L

	PUSH BC

	LD HL,(RAM_SPARE2) ; GET DEST
	INC HL
SCAN2B:
	LD DE,0	
        LD A,(HL)
	SUB $1C
	JR Z,LOOP1B
	LD BC,10


	EX DE,HL
LOOP10B:
	ADD HL,BC
	DEC A
	JR NZ,LOOP10B
       	
	EX DE,HL

LOOP1B:
	INC HL
        LD A,(HL)
	SUB $1C
	LD C,A
	EX DE,HL
	ADD HL,BC
	LD (RAM_SPARE2),HL
	POP BC

	RET ; ==========================
EXTDOT:
	LD BC,20
	RET ; ==========================

; 
; -----------------------------------------------------------------------------
; Parameters:
;   HL: source address (compressed data)
;   DE: destination address (decompressing)
; -----------------------------------------------------------------------------
;

dzx7_standard:
	ld DE,(D_FILE)
	INC DE
        ld      a, $80
dzx7s_copy_byte_loop:
        ldi                             ; copy literal byte
dzx7s_main_loop:
        call    dzx7s_next_bit
        jr      nc, dzx7s_copy_byte_loop ; next bit indicates either literal or sequence

; determine number of bits used for length (Elias gamma coding)
        push    de
        ld      bc, 0
        ld      d, b
dzx7s_len_size_loop:
        inc     d
        call    dzx7s_next_bit
        jr      nc, dzx7s_len_size_loop

; determine length
dzx7s_len_value_loop:
        call    nc, dzx7s_next_bit
        rl      c
        rl      b
        jr      c, dzx7s_exit           ; check end marker
        dec     d
        jr      nz, dzx7s_len_value_loop
        inc     bc                      ; adjust length

; determine offset
        ld      e, (hl)                 ; load offset flag (1 bit) + offset value (7 bits)
        inc     hl
        .db    $cb, $33                ; opcode for undocumented instruction "SLL E" aka "SLS E"
        jr      nc, dzx7s_offset_end    ; if offset flag is set, load 4 extra bits
        ld      d, $10                  ; bit marker to load 4 bits
dzx7s_rld_next_bit:
        call    dzx7s_next_bit
        rl      d                       ; insert next bit into D
        jr      nc, dzx7s_rld_next_bit  ; repeat 4 times, until bit marker is out
        inc     d                       ; add 128 to DE
        srl	d			; retrieve fourth bit from D
dzx7s_offset_end:
        rr      e                       ; insert fourth bit into E

; copy previous sequence
        ex      (sp), hl                ; store source, restore destination
        push    hl                      ; store destination
        sbc     hl, de                  ; HL = destination - offset - 1
        pop     de                      ; DE = destination
        ldir
dzx7s_exit:
        pop     hl                      ; restore source address (compressed data)
        jr      nc, dzx7s_main_loop
dzx7s_next_bit:
        add     a, a                    ; check next bit
        ret     nz                      ; no more bits left?
        ld      a, (hl)                 ; load another group of 8 bits
        inc     hl
        rla
        ret

; -----------------------------------------------------------------------------

	ld HL,$4032
	ld A,(HL)
	ld HL,SCRTABLE
	DEC HL
	DEC HL

LoopTable:
	INC HL
	INC HL
	DEC A
	JR NZ,LoopTable
	ld E,(HL)
	INC HL
	ld D,(HL)
	EX DE,HL
	CALL dzx7_standard
	CALL $005B

SCRTABLE:

;1:
.dw img1 ;SALLE 1.
;2:
.dw img2 ;
;3:
.dw img3 ;
;4:
.dw img4 ;
;5:
.dw img5 ;
;6:
.dw img6 ;
;7:
.dw img7 ;
;8:
.dw img8 ;
;9:
.dw img9 ;
;10:
.dw img10 ;SANS LUMIERE
;11:
.dw img11 ;CLS-INVENTAIRE
;12:
.dw img12 ;SPLASH
;13:
.dw img13 ;
;14:
.dw img14 ; 
;15:
.dw img15 ;
;16:
.dw img16 ;
;17:
.dw img17 ;
;18:
.dw img18 ;
;19:
.dw img19 ;
;20:
.dw img20 ;

;21:
.dw img21 ;

img1:
;
.db $85,$43,$89,$81,$00,$05,$76,$85,$31,$14,$00,$88,$95,$00,$05,$13
.db $11,$1C,$20,$09,$49,$0A,$01,$1B,$20,$16,$50,$00,$79,$09,$1E,$02
.db $00,$07,$18,$62,$0E,$89,$00,$25,$85,$00,$00,$44,$05,$DC,$12,$20
.db $B5,$14,$4E,$97,$20,$89,$8A,$01,$83,$36,$AD,$A6,$B7,$A9,$BC,$03
.db $26,$AA,$00,$20,$C1,$96,$0A,$C5,$02,$81,$20,$96,$96,$B8,$AD,$B4
.db $B5,$96,$05,$85,$03,$20,$31,$95,$20,$00,$14,$20,$08,$9A,$00,$62
.db $20,$31,$8A,$FE,$00,$48,$20,$70,$C5,$88,$20,$92,$62,$BB,$7D,$44
.db $00,$F5,$20,$48,$0A,$62,$02,$87,$03,$9B,$00,$1C,$8E,$E6,$0E,$1B
.db $D1,$00,$09,$A3,$C9,$C5,$14,$C9,$01,$20,$15,$10,$48,$20,$8A,$73
.db $00,$20,$43,$00,$D0,$00,$0A,$4C,$20,$00,$02

img2:
;
.db $85,$43,$89,$81,$00,$05,$76,$85,$88,$21,$00,$05,$88,$14,$00,$85
.db $89,$0A,$9C,$20,$06,$02,$22,$04,$0A,$04,$14,$87,$01,$86,$71,$20
.db $09,$80,$49,$00,$05,$8B,$21,$09,$85,$0D,$B8,$08,$91,$20,$0A,$0A
.db $00,$20,$00,$09,$0A,$09,$A7,$02,$00,$0D,$DF,$09,$08,$16,$DF,$02
.db $20,$2A,$8B,$11,$8A,$8A,$16,$21,$AD,$11,$04,$3D,$B1,$00,$17,$05
.db $14,$2D,$14,$F7,$0E,$2C,$20,$E4,$14,$15,$80,$8B,$FA,$1F,$00,$03
.db $75,$00,$01,$55,$48,$20,$8C,$1F,$00,$85,$07,$03,$07,$05,$95,$68
.db $34,$8D,$00,$3A,$17,$3A,$40,$3A,$57,$62,$20,$78,$1F,$20,$80,$06
.db $07,$62,$01,$20,$07,$03,$05,$33,$41,$00,$BB,$20,$5B,$C1,$B6,$85
.db $CC,$10,$20,$32,$D5,$00,$17,$41,$A5,$01,$00,$20,$B1,$1F,$00,$84
.db $05,$F8,$07,$0C,$B3,$21,$3C,$2B,$41,$1F,$16,$0A,$85,$84,$20,$00
.db $BB,$20,$BF,$0F,$7F,$40,$E6,$04,$41,$63,$83,$00,$8A,$83,$81,$00
.db $CB,$65,$82,$83,$01,$27,$83,$80,$00,$FD,$0B,$00,$20,$00,$0F,$40
.db $00,$29,$30,$20,$00,$08

img3:
;
.db $85,$43,$89,$80,$00,$05,$76,$85,$1B,$31,$59,$1B,$00,$85,$16,$93
.db $09,$85,$88,$93,$00,$89,$8A,$50,$08,$20,$00,$00,$31,$D9,$02,$00
.db $1C,$83,$81,$92,$03,$09,$0A,$71,$01,$0E,$60,$20,$14,$16,$14,$31
.db $14,$97,$00,$2C,$57,$09,$1E,$1F,$1A,$20,$0E,$09,$16,$0E,$00,$0E
.db $79,$00,$20,$91,$00,$0E,$F3,$20,$38,$16,$85,$17,$88,$01,$44,$20
.db $AE,$AE,$81,$0E,$20,$60,$C5,$A8,$18,$D0,$83,$4C,$1B,$00,$85,$08
.db $0A,$88,$0A,$0A,$F1,$87,$8C,$C9,$14,$0A,$D1,$16,$9C,$41,$14,$5C
.db $01,$24,$C9,$28,$8A,$73,$00,$20,$43,$00,$D0,$00,$0A,$4C,$20,$00
.db $02
 
img4:
;REAR SHOP DOOR
.db $85,$43,$03,$80,$00,$05,$76,$85,$00,$18,$95,$00,$00,$A6,$08,$00
.db $00,$14,$87,$8A,$83,$01,$04,$C8,$08,$0E,$0E,$95,$20,$00,$8B,$01
.db $07,$03,$84,$20,$01,$05,$87,$82,$83,$82,$04,$85,$17,$20,$31,$3E
.db $05,$88,$E2,$0E,$00,$88,$05,$05,$84,$05,$85,$85,$88,$F7,$20,$1C
.db $73,$25,$83,$20,$00,$82,$05,$85,$89,$02,$4C,$81,$41,$85,$3B,$16
.db $16,$30,$1D,$B2,$19,$83,$81,$53,$41,$85,$8A,$02,$E2,$41,$AE,$20
.db $00,$24,$A4,$35,$20,$04,$CE,$62,$41,$14,$10,$14,$01,$14,$B4,$00
.db $E4,$41,$39,$00,$72,$01,$05,$95,$03,$85,$03,$39,$20,$11,$00,$18
.db $01,$88,$29,$11,$05,$05,$85,$50,$07,$B2,$20,$00,$64,$20,$00,$C8
.db $20,$89,$66,$00,$44,$20,$83,$39,$00,$A1,$20,$00,$E8,$00,$05,$26
.db $20,$00,$01


img5:
;
.db $85,$43,$89,$81,$00,$05,$76,$85,$88,$08,$C5,$00,$42,$13,$82,$20
.db $87,$01,$86,$39,$20,$09,$89,$02,$82,$83,$83,$85,$12,$09,$85,$80
.db $4B,$00,$15,$39,$20,$0A,$0A,$83,$20,$17,$00,$00,$0A,$09,$01,$AF
.db $02,$07,$0A,$5F,$09,$08,$16,$DF,$02,$20,$2A,$DF,$11,$41,$18,$7B
.db $22,$04,$3D,$00,$A1,$2D,$14,$2D,$14,$F7,$0E,$2C,$20,$61,$AC,$72
.db $41,$E9,$1F,$05,$03,$D5,$00,$01,$48,$3C,$20,$CB,$41,$00,$20,$63
.db $34,$00,$3A,$17,$3A,$40,$71,$3A,$0B,$75,$20,$55,$68,$43,$00,$BA
.db $41,$31,$8B,$41,$5D,$16,$00,$35,$20,$32,$00,$17,$77,$41,$01,$32
.db $17,$41,$24,$20,$68,$83,$21,$0A,$1E,$41,$00,$C3,$BF,$7F,$F4,$40
.db $04,$00,$AB,$20,$83,$97,$17,$81,$20,$3F,$00,$0F,$3D,$00,$E8,$13
.db $20,$00,$7A,$00,$01,$49,$20,$80,$00,$40

img6:
;CATWALKS
.db $85,$43,$89,$20,$00,$07,$03,$89,$05,$76,$30,$85,$00,$00,$87,$81
.db $88,$05,$C4,$00,$0A,$09,$88,$73,$00,$07,$02,$95,$20,$85,$42,$08
.db $04,$05,$09,$3F,$20,$14,$8B,$20,$4E,$05,$20,$09,$E7,$49,$4B,$4E
.db $82,$20,$02,$5A,$03,$20,$00,$EA,$19,$02,$A4,$10,$08,$F4,$0F,$33
.db $82,$5F,$41,$10,$7C,$22,$04,$DB,$00,$22,$18,$20,$45,$05,$CB,$20
.db $1F,$25,$20,$E7,$0A,$21,$87,$07,$20,$1B,$62,$51,$19,$44,$41,$87
.db $01,$60,$41,$01,$04,$87,$7C,$86,$1C,$01,$DE,$41,$5F,$1F,$00,$11
.db $82,$00,$86,$21,$20,$86,$00,$04,$01,$73,$1B,$0E,$41,$18,$09,$85
.db $64,$A2,$54,$72,$62,$40,$85,$83,$31,$00,$81,$D4,$02,$52,$43,$41
.db $82,$0E,$23,$82,$81,$0D,$02,$80,$04,$1E,$86,$76,$20,$2C,$80,$71
.db $80,$20,$FD,$00,$21,$50,$03,$87,$A1,$00,$E8,$00,$05,$26,$20,$00
.db $01


img7:
;WALL
.db $85,$43,$89,$81,$00,$05,$76,$85,$00,$21,$00,$04,$00,$3A,$00,$83
.db $69,$00,$69,$0D,$20,$03,$47,$00,$83,$07,$03,$3E,$00,$14,$02,$31
.db $01,$87,$2F,$02,$03,$84,$94,$24,$81,$03,$20,$87,$96,$29,$71,$45
.db $02,$04,$06,$A9,$07,$01,$08,$86,$39,$41,$02,$83,$66,$18,$02,$87
.db $14,$86,$9A,$56,$CC,$00,$09,$09,$7B,$87,$06,$E7,$13,$83,$09,$B4
.db $00,$52,$82,$47,$0B,$59,$53,$68,$76,$20,$3A,$44,$05,$0D,$89,$06
.db $00,$0E,$0B,$89,$4F,$0A,$0A,$01,$53,$4D,$02,$62,$38,$BC,$63,$1D
.db $0A,$05,$0E,$00,$89,$51,$A0,$88,$E7,$13,$20,$90,$A9,$16,$89,$20
.db $AE,$FB,$41,$3C,$50,$E2,$40,$F0,$20,$A9,$B0,$B4,$88,$41,$C2,$8A
.db $44,$22,$03,$5C,$62,$F8,$41,$D9,$C5,$85,$B5,$A1,$20,$88,$CA,$00
.db $20,$43,$8A,$9A,$00,$20,$00,$1E,$00,$80,$52,$60,$20,$00,$10

img8:
; CROSSROADS
.db $85,$43,$89,$80,$00,$05,$76,$85,$09,$09,$0D,$00,$09,$87,$0A,$00
.db $04,$4A,$07,$0A,$02,$EE,$06,$02,$8D,$01,$83,$04,$08,$0A,$40,$20
.db $83,$85,$05,$00,$81,$0D,$82,$0A,$80,$86,$1C,$00,$5F,$02,$01,$18
.db $80,$02,$06,$89,$86,$81,$83,$84,$84,$E9,$0D,$20,$80,$99,$00,$0A
.db $84,$02,$85,$81,$27,$3E,$1F,$4F,$10,$85,$77,$21,$09,$80,$82,$07
.db $81,$C0,$20,$80,$81,$84,$04,$02,$07,$2B,$00,$82,$57,$00,$1F,$04
.db $03,$80,$19,$03,$8E,$00,$07,$84,$82,$2E,$6C,$20,$1A,$02,$84,$0B
.db $03,$03,$02,$16,$00,$05,$86,$06,$8A,$8A,$82,$3D,$01,$84,$26,$65
.db $04,$43,$20,$00,$84,$05,$1E,$79,$80,$77,$00,$1B,$08,$20,$00,$06
.db $04,$1B,$17,$82,$02,$03,$43,$AC,$04,$8A,$20,$00,$01,$58,$00,$59
.db $1B,$1B,$8A,$4C,$08,$00,$8A,$1D,$80,$1B,$87,$54,$DA,$00,$62,$14
.db $46,$00,$1B,$2C,$09,$9F,$1F,$00,$69,$89,$65,$1B,$6A,$17,$20,$58
.db $12,$A8,$1D,$CB,$10,$20,$87,$29,$00,$20,$16,$2A,$00,$8A,$31,$17
.db $8A,$32,$15,$16,$C6,$C9,$64,$00,$8A,$5A,$00,$82,$7D,$15,$20,$00
.db $0F,$40,$00,$29,$30,$20,$00,$08


img9:
;
.db $85,$46,$89,$27,$00,$03,$05,$BC,$03,$02,$03,$05,$10,$76,$85,$08
.db $A2,$00,$09,$8E,$02,$09,$0A,$01,$14,$20,$4D,$0A,$22,$F0,$21,$03
.db $BF,$41,$23,$DD,$02,$01,$C4,$20,$B2,$7F,$8A,$15,$8A,$8A,$79,$42
.db $A9,$00,$20,$0E,$12,$00,$8A,$0B,$80,$82,$00,$86,$16,$85,$F0,$20
.db $21,$08,$86,$04,$86,$43,$8A,$81,$20,$08,$07,$01,$81,$0E,$97,$20
.db $80,$04,$20,$C9,$6C,$01,$09,$EB,$20,$12,$81,$1F,$0D,$8E,$99,$9B
.db $80,$00,$89,$08,$28,$20,$88,$20,$85,$82,$A2,$1A,$8B,$83,$D1,$1F
.db $89,$C2,$87,$88,$33,$88,$89,$22,$01,$84,$19,$9D,$00,$8A,$68,$20
.db $8A,$D0,$00,$80,$83,$81,$80,$8A,$21,$D0,$20,$00,$F4,$00,$02,$93
.db $20,$00,$00,$80


img10:
;END
.db $85,$48,$03,$00,$89,$AA,$00,$05,$92,$01,$EE,$04,$07,$C0,$08,$05
.db $76,$85,$16,$16,$87,$08,$04,$00,$0A,$08,$E2,$00,$09,$0A,$FA,$01
.db $17,$20,$0D,$00,$00,$80,$80,$03,$00,$08,$D7,$20,$14,$03,$4D,$20
.db $87,$1F,$80,$D5,$42,$0E,$D5,$45,$33,$FC,$01,$00,$0E,$B4,$43,$20
.db $81,$CF,$1F,$82,$84,$21,$15,$BD,$30,$00,$87,$DE,$04,$19,$0B,$88
.db $05,$88,$86,$88,$00,$88,$1A,$20,$80,$86,$21,$05,$ED,$64,$22,$0A
.db $A4,$4F,$82,$07,$D6,$01,$88,$00,$06,$AE,$20,$1C,$AA,$42,$64,$CF
.db $3D,$05,$00,$2F,$0C,$F9,$0B,$01,$AD,$20,$41,$07,$D7,$12,$02,$1A
.db $5D,$15,$1D,$E0,$20,$00,$83,$82,$83,$00,$81,$26,$04,$0A,$20,$5E
.db $06,$12,$20,$09,$FE,$1A,$47,$02,$8A,$2B,$84,$01,$0F,$63,$03,$30
.db $34,$00,$03,$30,$98,$A4,$0C,$86,$84,$04,$09,$02,$3B,$80,$06,$11
.db $45,$6C,$00,$0D,$01,$04,$98,$05,$E4,$52,$20,$92,$40,$4F,$21,$00
.db $24,$0F,$01,$02,$84,$82,$1C,$1F,$04,$87,$87,$84,$02,$00,$4A,$20
.db $82,$E4,$5E,$94,$0D,$23,$00,$28,$01,$01,$87,$01,$39,$09,$83,$16
.db $F2,$41,$67,$81,$8A,$14,$00,$D0,$20,$00,$F4,$00,$02,$93,$20,$00
.db $00,$80

img11:

img12:

;OUTSIDE THE BANK
.db $1E,$44,$89,$1C,$00,$80,$80,$03,$78,$00,$05,$76,$85,$60,$31,$00
.db $05,$09,$0A,$09,$88,$03,$8A,$89,$06,$87,$89,$8A,$07,$F9,$0B,$0C
.db $64,$01,$1A,$9C,$20,$88,$06,$00,$14,$A7,$A6,$B3,$B0,$14,$86,$88
.db $BE,$1B,$04,$E6,$01,$20,$B2,$47,$88,$96,$28,$55,$96,$88,$D6,$00
.db $94,$00,$84,$95,$62,$0E,$E0,$00,$41,$02,$04,$06,$0E,$86,$25,$87
.db $01,$02,$D2,$3C,$98,$2E,$00,$84,$1A,$8C,$20,$00,$00,$41,$88,$05
.db $C2,$00,$85,$85,$00,$85,$D3,$00,$88,$7C,$1F,$20,$19,$FE,$20,$33
.db $1F,$16,$DD,$1A,$02,$02,$64,$05,$7C,$05,$94,$BA,$62,$30,$03,$D2
.db $20,$31,$B0,$41,$0D,$1A,$81,$81,$85,$0D,$BD,$41,$4C,$08,$24,$02
.db $E9,$20,$31,$2B,$41,$5F,$88,$1B,$65,$E2,$41,$53,$20,$0E,$28,$20
.db $88,$9C,$01,$00,$06,$02,$80,$07,$41,$AC,$E9,$02,$2D,$03,$26,$00
.db $20,$A0,$CB,$61,$01,$D6,$C4,$04,$A3,$02,$09,$47,$C9,$95,$1E,$01
.db $34,$DE,$68,$A8,$62,$29,$01,$20,$8A,$0E,$68,$00,$20,$00,$7A,$00
.db $01,$49,$20,$80,$00,$40

img13:

;IN THE BANK
.db $85,$0E,$89,$84,$03,$84,$02,$11,$00,$F0,$14,$00,$89,$89,$05,$76
.db $14,$85,$88,$85,$00,$8D,$84,$BD,$00,$15,$1B,$88,$3A,$20,$96,$12
.db $00,$8C,$20,$22,$80,$80,$34,$59,$0A,$07,$B1,$08,$82,$20,$05,$3D
.db $00,$52,$1F,$01,$3D,$A4,$0B,$08,$47,$85,$03,$20,$0E,$8A,$8A,$87
.db $04,$03,$58,$0E,$20,$0E,$87,$8A,$23,$04,$0E,$78,$20,$55,$F8,$00
.db $E4,$62,$B1,$22,$00,$81,$8C,$20,$8A,$39,$42,$B4,$4C,$41,$87,$01
.db $96,$05,$4C,$18,$00,$9C,$A3,$09,$81,$80,$03,$8B,$83,$06,$02,$21
.db $81,$9C,$20,$85,$8E,$66,$04,$04,$80,$A8,$03,$02,$4E,$06,$20,$02
.db $02,$80,$83,$03,$80,$04,$84,$63,$20,$87,$07,$2A,$C0,$B3,$80,$82
.db $18,$18,$00,$02,$EA,$48,$20,$8A,$7E,$83,$00,$52,$02,$83,$89,$00
.db $1D,$81,$82,$83,$21,$E1,$08,$F6,$A1,$20,$00,$E8,$00,$05,$26,$20
.db $00,$01

img14:

;IN MANHOLE
.db $85,$43,$89,$81,$00,$05,$76,$85,$00,$64,$00,$87,$00,$AA,$00,$1B
.db $03,$36,$83,$04,$02,$87,$01,$01,$5D,$18,$00,$81,$20,$88,$87,$88
.db $88,$02,$86,$60,$1A,$00,$06,$84,$1B,$1B,$01,$87,$81,$84,$81,$80
.db $07,$83,$2A,$1F,$06,$F3,$20,$1E,$81,$04,$21,$5F,$03,$00,$1E,$4C
.db $04,$01,$02,$00,$01,$15,$80,$89,$83,$1F,$CA,$1C,$20,$88,$A2,$04
.db $00,$08,$4E,$00,$22,$50,$6B,$05,$00,$0A,$89,$77,$86,$46,$20,$8F
.db $1D,$80,$83,$80,$23,$13,$45,$08,$8C,$22,$05,$85,$83,$22,$85,$04
.db $53,$0E,$20,$02,$1E,$2F,$80,$05,$20,$21,$8A,$22,$F1,$20,$14,$00
.db $85,$85,$7A,$20,$41,$82,$AC,$64,$C0,$27,$20,$BC,$22,$1D,$03,$05
.db $63,$0E,$82,$62,$20,$00,$02,$82,$50,$DF,$69,$09,$18,$88,$D8,$21
.db $88,$A3,$69,$10,$0E,$71,$62,$83,$71,$80,$1E,$97,$1D,$00,$89,$53
.db $82,$1B,$0E,$58,$62,$14,$D5,$08,$14,$1B,$08,$CC,$00,$E3,$0D,$89
.db $8A,$21,$89,$35,$62,$C7,$11,$31,$20,$08,$1F,$8A,$80,$8A,$8A,$05
.db $80,$0E,$08,$20,$F2,$0B,$00,$83,$8A,$17,$00,$D0,$20,$00,$F4,$00
.db $02,$93,$20,$00,$00,$80

img15:

;IN MANHOLE
.db $85,$4C,$80,$00,$03,$3F,$89,$03,$00,$04,$01,$45,$80,$82,$00,$05
.db $76,$85,$8A,$80,$A8,$01,$15,$0A,$82,$30,$09,$00,$00,$09,$0A,$80
.db $89,$F9,$0D,$10,$AE,$01,$20,$D6,$27,$88,$04,$0A,$07,$05,$16,$16
.db $0E,$16,$0F,$DC,$1E,$30,$4C,$41,$D4,$1F,$12,$87,$DC,$40,$0E,$02
.db $A4,$0E,$8A,$8A,$4D,$20,$D9,$0F,$1F,$05,$09,$6E,$20,$31,$10,$E3
.db $11,$3E,$41,$0F,$07,$97,$0B,$01,$3F,$57,$00,$2E,$1B,$20,$2A,$00
.db $07,$A4,$40,$22,$5C,$02,$32,$71,$20,$82,$89,$72,$40,$91,$00,$87
.db $01,$FD,$41,$0E,$B2,$30,$05,$7D,$09,$0E,$CB,$42,$02,$00,$75,$E3
.db $22,$C2,$C5,$E6,$60,$63,$B0,$85,$E2,$35,$86,$A8,$45,$40,$09,$BF
.db $1B,$0A,$04,$02,$49,$44,$84,$D2,$42,$20,$88,$BC,$1F,$24,$83,$54
.db $04,$1E,$83,$EE,$03,$05,$E6,$42,$22,$B8,$41,$85,$00,$83,$DF,$03
.db $05,$00,$14,$A4,$08,$00,$7A,$00,$01,$49,$20,$80,$00,$40


img16:

;SARCOPHAGI.
.db $85,$52,$80,$00,$89,$13,$00,$B1,$18,$80,$05,$76,$60,$20,$07,$8A
.db $88,$07,$80,$65,$84,$03,$03,$80,$2D,$08,$07,$04,$03,$91,$0D,$88
.db $8A,$3B,$20,$0C,$88,$03,$B6,$01,$85,$08,$07,$35,$88,$81,$04,$05
.db $A2,$09,$88,$4D,$20,$8A,$89,$2D,$83,$DE,$1E,$2A,$04,$81,$EF,$20
.db $0D,$09,$E7,$15,$20,$DC,$61,$89,$0D,$9D,$01,$00,$CF,$06,$04,$11
.db $20,$F2,$3F,$00,$E1,$21,$99,$73,$09,$44,$0E,$D5,$20,$40,$DF,$00
.db $06,$03,$DF,$60,$0A,$1F,$17,$41,$15,$1E,$AE,$03,$81,$06,$AA,$3D
.db $22,$37,$20,$D9,$05,$03,$D9,$08,$3A,$05,$03,$F5,$05,$2A,$22,$12
.db $83,$12,$05,$E7,$04,$DA,$A3,$6C,$86,$04,$00,$22,$B4,$0B,$89,$F7
.db $20,$17,$92,$06,$82,$81,$85,$8B,$05,$5B,$86,$83,$87,$89,$CA,$4C
.db $20,$07,$5C,$89,$21,$C1,$88,$55,$08,$0E,$4B,$5F,$01,$E8,$09,$C2
.db $C5,$16,$00,$48,$81,$83,$08,$00,$7A,$00,$01,$49,$20,$80,$00,$40

img17:

;IN CINEMA
.db $85,$43,$80,$84,$00,$05,$76,$24,$20,$03,$52,$84,$04,$89,$12,$20
.db $0A,$89,$89,$0A,$0A,$17,$0C,$01,$81,$82,$06,$05,$88,$88,$B8,$0B
.db $E5,$20,$0E,$16,$00,$89,$05,$16,$84,$3E,$88,$0E,$01,$23,$39,$20
.db $88,$60,$20,$88,$05,$05,$02,$82,$32,$84,$02,$0C,$09,$88,$3F,$62
.db $30,$BC,$00,$61,$80,$16,$D3,$13,$82,$C6,$16,$EC,$41,$34,$09,$11
.db $81,$80,$50,$83,$0B,$04,$84,$89,$B8,$61,$E0,$C5,$B6,$40,$87,$06
.db $8E,$B5,$0B,$85,$A3,$0E,$89,$BB,$41,$40,$18,$B5,$1F,$85,$C7,$20
.db $D8,$41,$96,$5F,$61,$20,$68,$05,$02,$FB,$41,$5F,$A3,$20,$86,$9B
.db $20,$5A,$84,$67,$05,$3C,$A4,$12,$89,$83,$20,$85,$97,$94,$94,$B2
.db $40,$B1,$8A,$85,$44,$EA,$81,$8B,$C0,$E2,$82,$81,$8B,$8B,$24,$00
.db $3D,$00,$00,$A4,$C0,$20,$00,$20

img18:
;CINEMA OUTSIDE
.db $85,$12,$80,$80,$89,$ED,$00,$08,$03,$00,$89,$AE,$01,$89,$06,$70
.db $00,$05,$76,$85,$07,$24,$87,$83,$00,$0D,$04,$00,$84,$04,$04,$02
.db $41,$06,$82,$87,$00,$05,$A4,$07,$3D,$00,$A0,$20,$01,$85,$28,$2E
.db $02,$33,$2A,$32,$26,$05,$00,$89,$4C,$82,$00,$02,$21,$02,$05,$04
.db $85,$5A,$36,$20,$E5,$12,$4C,$59,$01,$20,$80,$00,$78,$21,$4A,$05
.db $80,$85,$49,$0A,$00,$41,$20,$84,$84,$03,$80,$CC,$02,$04,$07,$FC
.db $20,$1E,$21,$03,$05,$0A,$84,$85,$31,$02,$2C,$53,$0E,$20,$81,$43
.db $FB,$2E,$3D,$04,$F9,$12,$1C,$7E,$21,$6F,$0D,$C2,$96,$C6,$20,$80
.db $8A,$8A,$1B,$8A,$B5,$04,$00,$DB,$1C,$04,$86,$20,$62,$82,$41,$05
.db $09,$05,$5D,$20,$10,$85,$75,$1B,$04,$EB,$62,$5B,$86,$21,$C2,$A5
.db $B4,$2E,$0C,$01,$AD,$20,$04,$4B,$82,$74,$15,$A5,$1F,$21,$41,$78
.db $0B,$C5,$05,$02,$81,$31,$34,$DB,$00,$20,$07,$20,$2E,$02,$82,$70
.db $DD,$00,$0E,$1C,$E0,$21,$86,$02,$EE,$40,$00,$CB,$20,$81,$80,$00
.db $30,$83,$03,$21,$04,$06,$83,$07,$E4,$50,$21,$52,$07,$1C,$94,$57
.db $20,$05,$1B,$C9,$07,$23,$54,$6C,$4F,$05,$96,$43,$D2,$00,$83,$84
.db $83,$4D,$00,$01,$CB,$83,$80,$4E,$6D,$81,$03,$FF,$00,$0C,$02,$20
.db $43,$00,$D0,$00,$0A,$4C,$20,$00,$02

img19:

; SPLASH
.db $85,$15,$80,$07,$03,$00,$D4,$05,$01,$D7,$00,$0E,$66,$00,$07,$84
.db $03,$05,$0C,$76,$85,$05,$87,$21,$04,$02,$09,$03,$00,$00,$81,$92
.db $1C,$01,$9C,$0A,$07,$01,$18,$AF,$20,$85,$10,$00,$3E,$87,$00,$4A
.db $0F,$F2,$1C,$00,$04,$85,$B3,$3A,$31,$83,$07,$12,$BE,$20,$19,$4F
.db $13,$44,$05,$A6,$02,$06,$22,$81,$CB,$02,$02,$02,$06,$22,$87,$80
.db $F7,$20,$02,$04,$46,$B1,$6B,$82,$04,$84,$00,$86,$DA,$0C,$29,$80
.db $5C,$20,$3A,$82,$83,$03,$06,$86,$06,$06,$82,$05,$38,$36,$83,$01
.db $04,$85,$2B,$06,$77,$85,$22,$4F,$29,$20,$80,$83,$DF,$2E,$00,$1C
.db $7B,$05,$1C,$07,$B3,$0B,$24,$90,$21,$84,$07,$B3,$20,$01,$83,$00
.db $E6,$23,$00,$DC,$19,$05,$44,$AF,$20,$87,$00,$16,$A5,$20,$83,$5D
.db $48,$23,$0E,$8F,$13,$01,$6A,$02,$1A,$84,$20,$02,$01,$85,$06,$04
.db $05,$07,$AF,$27,$41,$19,$50,$87,$F7,$61,$E1,$F7,$05,$16,$42,$86
.db $93,$C1,$18,$69,$87,$86,$82,$25,$86,$03,$20,$EC,$1F,$95,$68,$9C
.db $7C,$22,$BF,$1D,$83,$04,$8F,$B5,$01,$B2,$7D,$00,$54,$04,$01,$D5
.db $20,$86,$1F,$63,$BC,$41,$D7,$FA,$21,$65,$0D,$83,$85,$1A,$05,$86
.db $81,$73,$09,$0A,$06,$83,$E8,$15,$64,$BE,$03,$82,$05,$0D,$65,$00
.db $83,$D8,$12,$E6,$21,$00,$E8,$00,$B0,$20,$27,$3E,$00,$39,$06,$37
.db $2A,$3B,$34,$37,$06,$34,$00,$32,$38,$1B,$10,$1D,$25,$24,$1D,$41
.db $11,$31,$41,$2B,$37,$80,$32,$00,$0B,$39,$2D,$2A,$00,$3F,$60,$3D
.db $35,$00,$35,$34,$28,$30,$30,$2A,$39,$51,$34,$34,$30,$0B,$82,$68
.db $41,$14,$00,$20,$3D,$26,$3B,$38,$33,$26,$43,$35,$38,$20,$EB,$01
.db $31,$2A,$26,$38,$2A,$1B,$02,$28,$83,$40,$00,$20

img20:

;CLS/INVEN
.db $85,$43,$89,$80,$00,$05,$76,$85,$0E,$00,$86,$90,$00,$0E,$0A,$62
.db $20,$8A,$1C,$00,$D0,$20,$00,$F4,$00,$02,$93,$20,$00,$00,$80

img21:
;BLACK
.db $85,$43,$80,$81,$00,$05,$76,$85,$8E,$0E,$79,$00,$20,$41,$8E,$80
.db $0D,$70,$02,$20,$FC,$62,$0C,$A4,$20,$8A,$80,$35,$02,$42,$20,$8A
.db $89,$8A,$1A,$02,$A4,$20,$88,$39,$00,$02,$22,$20,$8A,$1C,$00,$D0
.db $20,$00,$F4,$00,$02,$93,$20,$00,$00,$80


.end
